# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeSphericalSurface Class Reference

This class implements the mapping between class
SphericalSurface from StepGeom which describes a
spherical_surface from Prostepand SphericalSurface from Geom
.

`#include <StepToGeom_MakeSphericalSurface.hxx>`

Inheritance diagram for StepToGeom_MakeSphericalSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeSphericalSurface (const Handle(StepGeom_SphericalSurface)&Surf)
Standard_EXPORT const Handle_Geom_SphericalSurface & | Value () const

## Private Attributes

Handle_Geom_SphericalSurface | theSphericalSurface

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeSphericalSurface::StepToGeom_MakeSphericalSurface | ( | const Handle(StepGeom_SphericalSurface)& | Surf | ) |

## Member Function Documentation

void StepToGeom_MakeSphericalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSphericalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeSphericalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_SphericalSurface& StepToGeom_MakeSphericalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_SphericalSurface StepToGeom_MakeSphericalSurface::theSphericalSurface `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeSphericalSurface.hxx